Class | Sequel::SQL::Constant
In: | lib/sequel/sql.rb
Parent: | GenericExpression

Represents constants or psuedo-constants (e.g. `CURRENT_DATE`) in SQL.

### Methods

new

### Attributes

constant | [R] | The underlying constant related to this object.

### Public Class methods

new(constant)

Create an constant with the given value

[Source]

          # File lib/sequel/sql.rb, line 1063
    1063:       def initialize(constant)
    1064:         @constant = constant
    1065:       end

[Validate]